CryptoPP Namespace Reference

Crypto++ library namespace. More...

## Detailed Description

Crypto++ library namespace.

Nearly all classes are located in the CryptoPP namespace. Within the namespace, there are four additional namespaces.

- Name - namespace for names used with NameValuePairs and documented in argnames.h
- NaCl - namespace for NaCl test functions like crypto_box, crypto_box_open, crypto_sign, and crypto_sign_open
- Donna - namespace for curve25519 library operations. The name was selected due to use of Langley and Moon's curve25519-donna.
- Test - namespace for testing and benchmarks classes
- Weak - namespace for weak and wounded algorithms, like ARC4, MD5 and Pananma

Since
  Crypto++ 3.0